#ifndef _FT_Time_H
#define _FT_Time_H
// ZsyTime.h: interface for the CFTTime class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ZSYTIME_H__64FFDA1F_B396_4655_83F3_2494E1E51393__INCLUDED_)
#define AFX_ZSYTIME_H__64FFDA1F_B396_4655_83F3_2494E1E51393__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include <time.h>
#include "datatype.h"

// Time into seconds
// Time can not exceed 2200, not less than 2006
BOOL SystemTimeToSecond(time_t curtime, unsigned int* second);

/*
namespace FT{

class CFTTimeSpan
{
public:
	
	// Constructors
	CFTTimeSpan();
	CFTTimeSpan(time_t time);
	CFTTimeSpan(int lDays, int nHours, int nMins, int nSecs);
	
	CFTTimeSpan(const CFTTimeSpan& timeSpanSrc);
	const CFTTimeSpan& operator=(const CFTTimeSpan& timeSpanSrc);
	
	// Attributes
	// extract parts
	int GetDays() const;   // total # of days
	int GetTotalHours() const;
	int GetHours() const;
	int GetTotalMinutes() const;
	int GetMinutes() const;
	int GetTotalSeconds() const;
	int GetSeconds() const;
	
	// Operations
	// time math
	CFTTimeSpan operator-(CFTTimeSpan timeSpan) const;
	CFTTimeSpan operator+(CFTTimeSpan timeSpan) const;
	const CFTTimeSpan& operator+=(CFTTimeSpan timeSpan);
	const CFTTimeSpan& operator-=(CFTTimeSpan timeSpan);
	BOOL operator==(CFTTimeSpan timeSpan) const;
	BOOL operator!=(CFTTimeSpan timeSpan) const;
	BOOL operator<(CFTTimeSpan timeSpan) const;
	BOOL operator>(CFTTimeSpan timeSpan) const;
	BOOL operator<=(CFTTimeSpan timeSpan) const;
	BOOL operator>=(CFTTimeSpan timeSpan) const;
	
	
private:
	time_t m_timeSpan;
	friend class CFTTime;
};


class CFTTime  
{
public:
	time_t m_time;
	
	CFTTime(int nYear, int nMonth, int nDay, int nHour, int nMin, int nSec,
		int nDST=-1);
	CFTTime(WORD wDosDate, WORD wDosTime, int nDST);
	CFTTime(const SYSTEMTIME& sysTime, int nDST=-1);
	CFTTime(time_t time);	
	CFTTime(const FILETIME& fileTime, int nDST);
	BOOL GetAsSystemTime(SYSTEMTIME& timeDest) const;	
	struct tm* GetLocalTm(struct tm* ptm) const;		
	virtual ~CFTTime();
	int GetDayOfWeek() const;		
	CFTTimeSpan operator-(CFTTime time) const;
	CFTTime operator-(CFTTimeSpan timeSpan) const;
	CFTTime operator+(CFTTimeSpan timeSpan) const;
	const CFTTime& operator+=(CFTTimeSpan timeSpan);
	const CFTTime& operator-=(CFTTimeSpan timeSpan);
	BOOL operator==(CFTTime time) const;
	BOOL operator!=(CFTTime time) const;
	BOOL operator<(CFTTime time) const;
	BOOL operator>(CFTTime time) const;
	BOOL operator<=(CFTTime time) const;
	BOOL operator>=(CFTTime time) const;
};

}
*/
#endif // !defined(AFX_ZSYTIME_H__64FFDA1F_B396_4655_83F3_2494E1E51393__INCLUDED_)

#endif
