#ifndef _DATATYPES_H
#define _DATATYPES_H


#include <errno.h>
#include <stdio.h>
#include <unistd.h>
#include <dirent.h>
#include <string.h>
#include <sys/ioctl.h>
#include <sys/fcntl.h>
#include <sys/types.h>
#include <asm/types.h>
//#include <linux/hiddev.h>
//#include <scsi/sg.h>
//#include <scsi/scsi.h>
#include <sys/time.h>

#include "libusb/usb.h"
//#include "hid.h"

#ifdef __cplusplus
extern "C" {
#endif

    #ifndef         IN
    #define         IN
    #endif

    #ifndef         OUT
    #define         OUT
    #endif

    #ifndef _WINDOWS_

    //#define WINAPI __stdcall
	#define WINAPI

	#ifndef CONST
	#define CONST               const
	#endif

	#define FALSE 0
	#define TRUE 1
	typedef short int   BOOL;
    typedef unsigned char   UCHAR;
    typedef unsigned short  USHORT;
    typedef unsigned int    UINT;
    typedef unsigned long   ULONG;

    typedef char            CHAR;
    typedef char            TCHAR;

    typedef void            VOID;
	typedef void*           PVOID;

    #ifndef _BYTE_DEFINED
    #define _BYTE_DEFINED

    typedef unsigned char   BYTE;
	typedef unsigned char*   PBYTE;
    #endif

    #ifndef _WORD_DEFINED
    #define _WORD_DEFINED

    typedef unsigned short  WORD;
	typedef unsigned short*  PWORD;
    #endif

    #ifndef _DWORD_DEFINED
    #define _DWORD_DEFINED

    typedef unsigned int   DWORD;
    #endif

    #ifndef _HANDLE_DEFINED
    #define _HANDLE_DEFINED

    typedef struct usb_dev_handle*   HANDLE;
	//typedef HIDInterface*   HANDLE;
    #endif

    typedef VOID*           LPVOID;
    typedef CHAR*           LPSTR;
	typedef char*           PCHAR;
    typedef CONST CHAR*     LPCSTR;
    typedef CONST TCHAR*    LPCTSTR;
    typedef BYTE*           LPBYTE;
    typedef WORD*           LPWORD;
    typedef DWORD*          LPDWORD;

    #endif
	
#ifdef __cplusplus
	}
#endif
	//void printf_buffer(char* title, int size, BYTE* buffer);


#endif
